Subject: Re: bug#32194: [PATCH] Use Gnulib regex for lib-src

From: Paul Eggert <[email-masked]>
Date: Tue, 31 Jul 2018 17:59:48 -0700

On 07/31/2018 05:29 PM, Noam Postavsky wrote:
> Is it justified to drop the DEBUG code?  Couldn't it still be useful if
> we want to debug regex engine (and we're not assuming it has/will always
> have 0 bugs, right)?

Yes, because the DEBUG code doesn't work now, in master, and hasn't 
worked for years. Perhaps someday someone will want to debug the Emacs 
regex engine; when they do, they will likely want debugging scaffolding 
oriented to whatever problem they're facing, instead of what's in Emacs now.

Although the glibc/gnulib regex code has debugging that does work, it is 
quite different (that is, it's already gone through the process 
mentioned above).